<template lang="pug">

	-
		var secundario = [
			{
				titulo:"Escuela",
				href: "#"
			},
			{
				titulo:"Novedades",
				href: "#"
			},
			{
				titulo:"Alumni",
				href: "#"
			},
			{
				titulo:"Calendario",
				href: "#"
			},
			{
				titulo:"INFOSIL",
				href: "#"
			}
		]

	-
		var primario = [
			{
				titulo:"Doctorados",
				href: "#"
			},
			{
				titulo:"Maestrías",
				href: "#"
			},
			{
				titulo:"Educación Ejecutiva",
				href: "#"
			},
			{
				titulo:"Online",
				href: "#"
			},
			{
				titulo:"Programas Empresariales",
				href: "#"
			},
			{
				titulo:"Por especialidad",
				href: "#"
			}
		]

	//- header#encabezado.container.mx-auto.px-2.py-1.flex.items-center
	header#encabezado.seccion.maestria
		.contenedor
			a.logo(href="#")
				img(src="~assets/img/logo-USIL.svg", alt="alt")

			.buscar-xs
				<form role="search" method="get" id="searchform" class="searchform" action="http://140.82.28.69/usil/">
						<input type="search" value="" name="s" id="s" placeholder="Buscar">
				</form>
				button.boton-encabezado()
					img.ico(src="~assets/img/ico-buscar-azul.svg", alt="alt")

			//- button.buscar-xs.boton-encabezado()
				img.ico(src="~assets/img/ico-buscar-azul.svg", alt="alt")


			button#abrir-menu.boton-encabezado
				img.ico(src="~assets/img/ico-menu.svg", alt="alt")

			#menu
				//- nav.primario
				//- 	ul.flex: each enlace in primario
				//- 		li= enlace.titulo

				//- nav.secundario
				//- 	form: input(type="search", placeholder="Buscar")
				//- 	ul.flex: each enlace in secundario
				//- 		li: a(href=enlace.href)= enlace.titulo


				.enlaces
					a(href="#").cerrar
						span cerrar
						img.icono(src="~assets/img/ico-equis.svg")

					a(href="#").inicio
						img.icono(src="~assets/img/chevron-oeste.svg")
						span inicio
					a(href="#").regresar
						img.icono(src="~assets/img/chevron-oeste.svg")
						span regresar
				nav.primario
					<ul id="menu-principal" class="navbar-nav ml-auto">
						<li id="menu-item-939" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-939">
							<a href="#">Doctorados</a>
							<ul class="sub-menu">
								<li id="menu-item-942" class="turquesa menu-item menu-item-type-post_type menu-item-object-page menu-item-942">
									<a title="turquesa" href="http://interactive.pe/usil/doctorados/">Ir a Doctorado</a>
								</li>
								<li id="menu-item-950" class="menu-item menu-item-type-post_type menu-item-object-doctorado menu-item-950">
									<a href="http://interactive.pe/usil/doctorado/doctorado-en-administracion">Doctorado en Administración</a>
								</li>
								<li id="menu-item-949" class="menu-item menu-item-type-post_type menu-item-object-doctorado menu-item-949">
									<a href="http://interactive.pe/usil/doctorado/doctorado-en-derecho">Doctorado en Derecho</a>
								</li>
								<li id="menu-item-947" class="menu-item menu-item-type-post_type menu-item-object-doctorado menu-item-947"><a href="http://interactive.pe/usil/doctorado/doctorado-en-nutricion-y-alimentos">Doctorado en Nutrición y Alimentos</a></li>
								<li id="menu-item-948" class="menu-item menu-item-type-post_type menu-item-object-doctorado menu-item-948"><a href="http://interactive.pe/usil/doctorado/doctorado-en-educacion">Doctorado en Educación</a></li>
							</ul>
						</li>
						<li id="menu-item-952" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-952"><a href="#">Maestrías</a>
							<ul class="sub-menu">
								<li id="menu-item-971" class="turquesa menu-item menu-item-type-custom menu-item-object-custom menu-item-971">
									<a href="#">Ir a Online</a>
								</li>
								<li id="menu-item-963" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-963">
									<a title="gris" href="#">SEMI PRESENCIAL</a>
									<ul class="sub-menu">
										<li id="menu-item-957" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-957"><a href="#">Maestría en Administración de Negocios – Executive MBA</a></li>
										<li id="menu-item-958" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-958"><a href="#">MBA UQÀM</a></li>
									</ul>
								</li>
								<li id="menu-item-964" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-964"><a title="gris" href="#">ONLINE</a>
									<ul class="sub-menu">
										<li id="menu-item-959" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-959"><a href="#">Maestría en Ciencias Empresariales</a></li>
										<li id="menu-item-960" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-960"><a href="#">Maestría en Educación: Gestión de la Educación</a></li>
										<li id="menu-item-961" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-961"><a href="#">Maestría en Gestión de Negocios de Nutrición</a></li>
										<li id="menu-item-962" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-962"><a href="#">Maestría en Diseño Gráfico</a></li>
									</ul>
								</li>
							</ul>
						</li>
						<li id="menu-item-953" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-953"><a href="#">Educación Ejecutiva</a></li>
						<li id="menu-item-954" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-954"><a href="#">Online</a></li>
						<li id="menu-item-955" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-955"><a href="#">Programas Empresariales</a></li>
						<li id="menu-item-956" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-956"><a href="#">Por Especialidad</a>
							<ul class="sub-menu">
								<li id="menu-item-965" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-965"><a href="#">Administración</a></li>
								<li id="menu-item-966" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-966"><a href="#">Educación</a></li>
								<li id="menu-item-967" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-967"><a href="#">Derecho</a></li>
								<li id="menu-item-968" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-968"><a href="#">Economía</a></li>
								<li id="menu-item-969" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-969"><a href="#">Marketing</a></li>
								<li id="menu-item-970" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-970"><a href="#">Diseño Gráfico</a></li>
							</ul>
						</li>
					</ul>

				//- nav.encuentra
					//-

				nav.secundario
					form.buscar: input(type="search", placeholder="Buscar")
					<ul id="menu-superior" class="navbar-nav ml-auto">
						<li id="menu-item-973" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-973">
							<a href="#">Escuela</a>
							<ul class="sub-menu">
								<li id="menu-item-978" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-978"><a href="#">Maestría en Administración de Negocios – Executive MBA Doble Grado</a></li>
								<li id="menu-item-980" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-980"><a href="#">Maestría en Administración de Negocios – Executive MBA Doble Grado</a></li>
								<li id="menu-item-979" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-979"><a href="#">MBA UQÀM</a></li>
								<li id="menu-item-981" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-981"><a href="#">MBA UQÀM</a></li>
							</ul>
						</li>
						<li id="menu-item-974" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-974"><a href="#">Novedades</a></li>
						<li id="menu-item-975" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-975"><a href="#">Alumni</a></li>
						<li id="menu-item-976" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-976"><a href="#">Calendario</a></li>
						<li id="menu-item-977" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-977"><a href="#">INFOSIL</a></li>
					</ul>

		Navegacion#navegacion

</template>



<script>
import Navegacion from "~/components/Navegacion.vue"

export default {
	components: {
		Navegacion
	}

}
</script>

<style lang="stylus">


#pagina
	padding-top 70px;
	@media (min-width: 768px)
		padding-top 125px;

#encabezado
	// background-color #fff

	position fixed
	top 0
	left 0
	right 0
	z-index 2

	@media (min-width: 768px)
		align-items stretch


	@media (max-width: 768px)
		// position: fixed
		// left 0px
		// right 0px
		// bottom 0px
		background: transparent;
		border-radius: 8px 8px 0px 0px;

	.contenedor
		background: #FFFFFF;
		@media (max-width: 768px)
			display: flex
			min-height: 70px
			align-items: center


	.logo
		min-width 100px
		max-width 120px
		@media (min-width: 768px)
			max-width 216px
			padding 1rem 0

		@media (max-width: 768px)
			margin-right auto

	.ico
		min-width 24px
		transition all 150ms


	form
		max-width 100%
		display: flex
		flex 0 1 auto
		overflow hidden

	input[type=search]
		flex 1 1 160px
		display block
		width 140px
		background-color white
		border: 0
		box-sizing: border-box
		border-radius: 0
		padding: 0.25rem .5rem
		background-image url("~@/assets/img/ico-buscar-gris.svg")
		background-repeat no-repeat
		background-position 95% center
		background-size 10px
		border-bottom 1px solid rgba(159,159,174,0.4)

	.boton-encabezado
		flex 0 0 auto
		margin-left .5rem
		outline: none
		@media (min-width: 768px)
			display: none


	.buscar-xs
		display flex
		flex 1 1 auto
		align-items center
		margin-left 1rem
		justify-content flex-end
		max-width calc(100vw - 4.5rem - 70px)
		@media (min-width: 768px)
			display: none

		form
			padding: 0.25rem
			flex 1 1 auto
			transform scaleX(0)
			max-width 0
			transform-origin center right
			transition transform 200ms, max-width 250ms
		input[type=search]
			padding: 0.25rem .2rem
			background-image none

		&.abierto
			form
				max-width 80vw
				transform scaleX(1)

			.boton-encabezado
				flex 0 1 auto
				margin-left 0

				img
					transition all 150ms
					min-width 12px
					// width 16px





	#menu
		display grid

		@media (max-width: 768px)
			overflow auto
			position fixed
			top 0
			left 0
			right 0
			bottom 0
			background-color white
			grid-template-areas "enlaces" "primario" "secundario"
			grid-template-rows 100px auto 1fr

			display none
			&.abierto
				display grid

		@media (min-width: 768px)
			justify-content end
			grid-template-areas "secundario" "primario"
			align-items center
			grid-template-rows 1fr 1fr

		*
			// outline 1px solid rgba(0, 0, 0, 0.1)


		.enlaces
			margin 1rem
			padding 1rem 0
			border-bottom 1px dashed #707070;
			position relative
			display: flex
			flex-direction: column
			justify-content: flex-end
			z-index 3


			@media (min-width: 768px)
				display none

			a
				display: block
				font-weight: bold;
				font-size: 16px;
				line-height: 150%;
				letter-spacing: -0.022em;
				text-decoration-line: underline;
				text-transform: lowercase;

				color: #1CCDE6;

			.cerrar
				position absolute
				top 0
				right 0
				align-self flex-end

			.regresar
				display none


			^[1].interna
				.inicio
					display: none
				.regresar
					display block



		nav
			@media (min-width: 768px)
				display flex
				justify-content flex-end
				align-items center

			@media (max-width: 768px)
				border-bottom 1px dashed #707070;
				margin 0 1rem 1rem
				padding 0.5rem

				&:last-of-type
					border-bottom none
					margin-bottom 0

			a
				display: block
				word-break keep-all

			> ul
				display: flex
				align-items flex-end
				list-style none
				padding 0
				position relative
				z-index 2

				@media (max-width: 768px)
					flex-direction: column
					align-items flex-start
					padding 0
					margin 0
					position static

				> .menu-item
					margin-left 2rem

					@media (max-width: 768px)
						margin-bottom 1.5rem
						margin-left 0


					a
						text-decoration underline

				> .menu-item-has-children
					padding 0 1rem 0 0
					background-image url("~@/assets/img/chevron-sur.svg")
					background-repeat no-repeat
					background-position right center
					background-size 10px auto
					position: relative

					@media (max-width: 768px)
						position: static


					@media (min-width: 768px)
						&:hover
							color: #1CCDE6;
							background-image url("~@/assets/img/chevron-sur-celeste.svg")

							> .sub-menu
								pointer-events all
								opacity 1

						&:last-child
							> .sub-menu
								left: auto
								right: 0

					> .sub-menu
						pointer-events none
						opacity 0
						transition opacity 250ms ease-out

						@media (max-width: 768px)
							padding 100px 1rem 1rem
							position absolute
							top 0
							left 0
							right 0
							bottom 0
							z-index 2
							background: #FFFFFF;

							&.activo
								pointer-events all
								opacity 1


					.sub-menu

						@media (min-width: 768px)
							padding 1rem
							position absolute
							top 100%
							left 0
							min-width 265px
							flex-direction column
							background: #FFFFFF;
							box-shadow: 0px 6px 12px rgba(0, 25, 90, 0.24);
							border-radius: 0px 0px 8px 8px;
							z-index: 3

						@media (max-width: 768px)
							//-


						.menu-item
							padding 0 1rem 0 .5rem
							background-image url("~@/assets/img/chevron-este.svg")
							background-repeat no-repeat
							background-position right center
							background-size auto .6rem
							margin 0 0 1.25rem
							font-weight: bold;
							font-size: 13px;
							line-height: 140%;
							letter-spacing: -0.022em;
							text-decoration-line: underline;
							color: #0B2E88;

							@media (max-width: 768px)
								font-size: 16px;


							&.turquesa
								font-weight: bold;
								font-size: 15px;
								line-height: 150%;

								letter-spacing: -0.022em;
								text-decoration-line: underline;
								margin 0 0 1rem
								padding 0

								color: #1CCDE6;
								background none
								a::after
									content ""
									display inline-block
									vertical-align: baseline;
									background-image url("~@/assets/img/chevron-este.svg")
									background-repeat no-repeat
									background-position right center
									background-size auto .6rem
									height .6rem
									width .6rem
									margin 0 0 0 .5em

							&.menu-item-has-children
								background none
								padding 0
								margin 0
								font-weight: normal;
								font-size: 13px;
								line-height: 150%;

								letter-spacing: -0.02em;
								text-transform: uppercase;

								color: #9F9FAE;

								> a
									text-align: left;
									margin 0 0 1rem

							&:last-child
								margin 0 0 .5rem

							a
								//- text-align: left;

			.buscar
			.searchform
				@media (max-width: 768px)
					display none

			> #menu-superior
				li
					&:last-child
						a
							color: #9F9FAE

						.sub-menu
							position static
							box-shadow none
							padding 0 0 0 .5rem
							margin 0 0 1rem

							.menu-item
								padding 0 1rem 0 0

					&:last-child
						.sub-menu
							left auto
							right 0


			// .sub-menu
			// 	display: none

		.primario
			grid-area primario
			font-weight: 600;
			font-size: 14px;
			color: #0B2E88;

			@media (max-width: 768px)
				font-weight: bold;
				font-size: 16px;

		.secundario
			grid-area secundario
			font-weight: 600;
			font-size: 11px;
			color: #4C4B5C;

			@media (max-width: 768px)
				font-weight: normal;
				font-size: 16px;

			ul
				li
					a
						text-decoration underline

			ul
				li:last-child
					color: #9F9FAE

			.menu-item-has-children
				padding 0 1rem 0 0
				background-image url("~@/assets/img/chevron-sur-gris.svg")
				background-repeat no-repeat
				background-position right center
				background-size 10px auto

				@media (min-width: 768px)
					position: relative

				&:hover
					color: #1CCDE6;
					background-image url("~@/assets/img/chevron-sur-celeste.svg")

	//- navegacion

	#navegacion
		margin 0 -1rem


#menu---principal
	grid-area primario
	font-weight: bold;
	font-size: 15px;
	line-height: 150%;
	letter-spacing: -0.015em;
	text-decoration-line: underline;
	color: #0B2E88;
	display: flex
	align-items flex-end
	list-style none
	padding 0
	position relative
	z-index 2

	ul
		padding 0



	.menu-item
		display block
		position relative

		a
			// text-align: left;
			display: block
			word-break keep-all
			// white-space nowrap


	> .menu-item
		margin-left 2rem

		> a
			text-align: center;

			// white-space nowrap
		&:hover
			font-weight: bold;
			font-size: 15px;
			line-height: 150%;
			letter-spacing: -0.015em;
			text-decoration-line: underline;

			color: #1CCDE6;

			> .sub-menu
				pointer-events all
				opacity 1
				z-index: 3

		> .sub-menu
			pointer-events none
			opacity 0
			z-index: -1
			transition opacity 250ms ease-out


	.menu-item-has-children
		padding 0 1rem 0 0
		background-image url("~@/assets/img/chevron-sur.svg")
		background-repeat no-repeat
		background-position right center
		background-size 10px auto
		position: relative

		&:hover
			background-image url("~@/assets/img/chevron-sur-celeste.svg")

		&:last-child
			.sub-menu
				left auto
				right 0

	.sub-menu
		padding 1rem
		position absolute
		top 100%
		left 0
		min-width 265px
		flex-direction column
		background: #FFFFFF;
		box-shadow: 0px 6px 12px rgba(0, 25, 90, 0.24);
		border-radius: 0px 0px 8px 8px;

		.menu-item
			padding 0 1rem 0 .5rem
			background-image url("~@/assets/img/chevron-este.svg")
			background-repeat no-repeat
			background-position right center
			background-size auto .6rem
			margin 0 0 1.25rem
			font-weight: bold;
			font-size: 13px;
			line-height: 140%;
			letter-spacing: -0.022em;
			text-decoration-line: underline;
			color: #0B2E88;


			&.turquesa
				font-weight: bold;
				font-size: 15px;
				line-height: 150%;

				letter-spacing: -0.022em;
				text-decoration-line: underline;
				margin 0 0 1rem
				padding 0

				color: #1CCDE6;
				background none
				a::after
					content ""
					display inline-block
					vertical-align: baseline;
					background-image url("~@/assets/img/chevron-este.svg")
					background-repeat no-repeat
					background-position right center
					background-size auto .6rem
					height .6rem
					width .6rem
					margin 0 0 0 .5em

			&.menu-item-has-children
				background none
				padding 0
				margin 0
				font-weight: normal;
				font-size: 13px;
				line-height: 150%;

				letter-spacing: -0.02em;
				text-transform: uppercase;

				color: #9F9FAE;

				> a
					text-align: left;
					margin 0 0 1rem

			&:last-child
				margin 0 0 .5rem

			a
				//- text-align: left;


		.sub-menu
			position static
			box-shadow none
			padding 0 0 0 .5rem
			margin 0 0 1rem

			.menu-item
				padding 0 1rem 0 0


</style>
